Skip to main content

Read transaction

Requests to this endpoint will return the attributes of the specified transaction. To read a manual transaction, use the manual transaction guid in the path as the transactionGuid.

Enhanced transaction data may be requested using the includes parameter. To use this optional parameter, the value should include the optional metadata requested such as repeating_transactions, merchants, classifications, geolocations. For more information, see the Optional Enhancement Query Parameter guide.

GET
/users/{user_guid}/transactions/{transaction_guid}

Path Parameters

FieldRequiredType

user_guid

The unique identifier for a user, beginning with the prefix USR-.

Required
String

transaction_guid

The unique id for a transaction.

Required
String

Query Parameters

FieldRequiredType

includes

Options for enhanced transactions. This query parameter is optional. Possible additional metadata: repeating_transactions, merchants, classifications, geolocations. The query value is format sensitive. To retrieve all available enhancements, append:

?includes=repeating_transactions,merchants,classifications,geolocations.

The query options may be combined to specific enhancements. For example, to request Repeating Transactions and Geolocation data, use:

?includes=repeating_transactions,geolocations.

  • Repeating Transactions: Identifies transactions with predictable recurrence patterns (e.g., Bill, Income, Subscription).
  • Merchants: Enriches transactions with merchant name.
  • Classifications: Provides more insight into the type of money movement that is occurring on the transaction, whether it be retail or investments.
  • Geolocation: Provides geographic metadata.

Optional
String

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...